Subject: Re: [PATCH Cogito] match pathnames in exclude handling

From: "H. Peter Anvin" <[email-masked]>
Date: Wed, 11 May 2005 14:30:34 -0700

Matthias Urlichs wrote:
> 
> I already did, last week. (I do need to cleanup my changes...)
> 
> The idea is that "foo" matches anywhere, "foo/bar" the exact pathname.
> As a special case, "./foo" matches in the root directory only.
> 
> NB: "*" can cross subdirectory paths, so "*/foo/bar" does match
> "a/b/c/foo/bar".
> 

How does that mean foo*.c would match foo/bar/quux.c?  That's probably a 
bad thing.

I do like the (sadly, rarely used) convention that ** matches / whereas 
* doesn't.

	-hpa